#include "S43P01.h"
#include "ECamperDamageState.h"
#include "Net/UnrealNetwork.h"

void US43P01::Authority_OnDamageStateChanged(ECamperDamageState oldDamageState, ECamperDamageState currentDamageState)
{

}

void US43P01::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(US43P01, _canPerformPerk);
}

US43P01::US43P01()
{
	this->_vaultSpeedAmount = 0.200000;
	this->_perkCooldown = 0.000000;
	this->_vaultSpeedStatusEffectClass = NULL;
	this->_perkFastVaultWindowInteractionClass = NULL;
	this->_runVaultWindowInteractionClass = NULL;
	this->_perkFastVaultPalletLeftInteractionClass = NULL;
	this->_perkFastVaultPalletRightInteractionClass = NULL;
	this->_fastVaultPalletInteractionClass = NULL;
}
